NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
CGI Alert


Joined: 11 Aug 2003
Posts: 11
Reply with quote
Well, I have been able to use the web service of google but I cant generate a code sample with the witzard tool. I continue receiveing the same error message.
I've examined part of the "$proxy" var and I've obtained this information:

Code:
["request"]=> string(723) "POST /php/php.exe HTTP/1.0 User-Agent: NuSOAP/0.6.3 Host: inforalv Content-Type: text/xml; charset="ISO-8859-1" Content-Length: 541 SOAPAction: "http://inforalv/php/php.exe" Alvaro"
["response"]=> string(799) "HTTP/1.1 0 Date: Tue, 12 Aug 2003 14:54:41 GMT Server: Apache/1.3.28 (Win32) mod_ssl/2.8.15 OpenSSL/0.9.7b Connection: close Content-Type: text/html Security Alert! The PHP CGI cannot be accessed directly.
This PHP CGI binary was compiled with force-cgi-redirect enabled. This means that a page will only be served up if the REDIRECT_STATUS CGI variable is set, e.g. via an Apache Action directive.

For more information as to why this behaviour exists, see the manual page for CGI security.

For more information about changing this behaviour or re-enabling this webserver, consult the installation file that came with this distribution, or visit the manual page.

I cant find the REDIRECT_STATUS CGI variable. I've found the "cgi.force_redirect = 1" var and the "cgi.redirect_status_env=;" var.
View user's profileFind all posts by inforalvSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7881
Reply with quote
Wizard expects nswizard.php in its location.
Please copy it back.
Then check settings for SRV local web server.
It should have at least .php associated with php.exe
See Tools->settings->SRV local web server, File extensions table.
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Site Admin

Joined: 13 Jul 2003
Posts: 7881
Reply with quote
you seems to run php 4.0.6 on one of servers.
nusoap won't work with php 4.0.6, at least when it runs in CGI mode.
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 11 Aug 2003
Posts: 11
Reply with quote
I'm using PHP 4.3.2
How can I know if my PHP server runs in CGI Mode?

Concern to the wizard message, I'm using remote web server and it have .php associated with php.exe
View user's profileFind all posts by inforalvSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7881
Reply with quote
the following alert shown in your server responce clearly marks that your server runs CGI:
Code:
Security Alert! The PHP CGI cannot be accessed directly.
This PHP CGI binary was compiled with force-cgi-redirect enabled. This means that a page will only be served up if the REDIRECT_STATUS CGI variable is set, e.g. via an Apache Action directive.

For more information as to why this behaviour exists, see the manual page for CGI security.

also, it's wrong that nusoap posts to /php/php.exe. It shouldn't do it.
Please install php4apache module.
View user's profileFind all posts by dmitriSend private messageVisit poster's website
CGI Alert
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic